
SITETB - Bug #52

Data final de TTO [EMAIL]

07/26/2012 01:25 PM - Maurício Dos Santos

Status: Closed Start date: 07/27/2012

Priority: Normal Due date: 08/14/2012

Assignee: Maurício Dos Santos % Done: 50%

Category:  Estimated time: 0.00 hour

Target version: Versão atual Spent time: 0.00 hour

Componente: Casos   

Description

QUILMA

O sistema deveria utilizar a data de encerramento do caso para a data final de tratamento.

NOTA

O Ricardo informou que o sistema já faz isso. Mauricio irá verificar.

History

#1 - 07/26/2012 01:34 PM - Maurício Dos Santos

- Subject changed from Data final de TTO to Data final de TTO [EMAIL]

#2 - 07/26/2012 02:55 PM - Ricardo Memoria

- Target version deleted (Version 2.1)

#3 - 07/27/2012 08:02 AM - Maurício Dos Santos

- Due date set to 07/27/2012

- Status changed from New to In Progress

- Start date set to 07/27/2012

#4 - 07/27/2012 08:14 AM - Maurício Dos Santos

- Status changed from In Progress to Feedback

- Assignee changed from Maurício Dos Santos to Estefânia Quilma Andrade

Quilma,

O sistema já faz esse tipo de tratamento da informação, se o periodo do tratamento nao estiver vazio o sistema coloca a data de encerramento como

sendo a data final do tratamento.

Aguardo uma confirmação ou esclarecimento do problema.

#5 - 07/27/2012 10:56 AM - Maurício Dos Santos

- Status changed from Feedback to In Progress

#6 - 07/31/2012 05:41 PM - Maurício Dos Santos

- Assignee changed from Estefânia Quilma Andrade to Ricardo Memoria

- % Done changed from 0 to 50

Ricardo,
Na verdade o sistema tem uma condição para alterar o periodo de tratamento no encerramento. Segue codigo:

        if

 (tbcase.getTreatmentPeriod().getIniDate().before(p.getIniDate()) || tbcase.getTreatmentPeriod().getEndDate().

after(p.getEndDate())) 

            tbcase.setTreatmentPeriod(p)

 

Ou seja, a alteração do período de tratamento só é feita no momento do encerramento se a data de encerramento for anterior à data final do

tratamento. Para esses casos que a Quilma esta reportando que nao estao tendo a data alterada é que o tratamento acabou e a data de

encerramento é posterior a data final do tratamento, para aumentar o periodo do tratamento seria necessário alterar na mão.

Ela questionou essa regra, nesses casos o usuario teria que alterar na mão mesmo, certo?

#7 - 07/31/2012 06:14 PM - Ricardo Memoria

- Assignee changed from Ricardo Memoria to Jorge Luiz da Rocha

Isso é algo que temos que conversar com o Jorge e o Gustavo.

Se um caso é encerrado após o tempo de tratamento, fica um buraco entre o final de tratamento e a data do encerramento.

Nesse caso, não sei o que é melhor fazer:

1) Deixar este buraco;

2) O sistema atualiza o fim do tratamento para a data de encerramento;

3) O sistema não deixa encerrar se a data de encerramento for posterior a data final de tratamento;

Acho que temos essas 3 opções.

Temos que discutir.

#8 - 08/09/2012 05:18 PM - Ricardo Memoria

- Assignee changed from Jorge Luiz da Rocha to Maurício Dos Santos

Ao discutir com a equipe, o melhor é aplicar uma restrição no momento de se encerrar o caso:

A data de encerramento tem que ser menor ou igual a data do fim de tratamento do caso

No código fonte:

Esta regra é feita na classe CaseCloseHome.java
#9 - 08/09/2012 05:24 PM - Maurício Dos Santos

Ricardo conversou com Jorge, Gustavo e Luis Fernando e me passou que foi decidido que quando o usuario tentar encerrar um caso com uma data

posterior ao final do tratamento o sistema deve bloquear e informar que tal operação não é  possivel por conta dessa condição.

#10 - 08/14/2012 04:02 PM - Maurício Dos Santos

- Due date changed from 07/27/2012 to 08/14/2012

- Status changed from In Progress to Resolved

#11 - 08/14/2012 05:12 PM - Maurício Dos Santos

- Status changed from Resolved to Closed
